Tuesday, July 15, 2014

autoremove feature of Linux package management tools

Today, I was just trying to install inxi on my mint desktop and the aptitude not only told that its already installed but also figured out to provide the list of package no longer required by my desktop. This is something which is missing on yum in dependency resolution. This functionality is also available in yum on RedHat based distros.


it's called autoremove option in aptitude. see the output below.
From man page of apt-get

autoremove
autoremove is used to remove packages that were
automatically installed to satisfy dependencies for
other packages and are now no longer needed.


# apt-get install inxi
Reading package lists... Done
Building dependency tree 
Reading state information... Done
inxi is already the newest version.
The following packages were automatically installed and are no longer required
augeas-lenses cgroup-lite libaugeas0 libgtk-vnc-1.0-0 libgvnc-1.0-0
libnetcf1 libvirt0 python-gtk-vnc python-libvirt python-urlgrabber virtinst
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 25 not upgraded.

# apt-get autoremove
Reading package lists... Done
Building dependency tree 
Reading state information... Done
The following packages will be REMOVED:
augeas-lenses cgroup-lite libaugeas0 libgtk-vnc-1.0-0 libgvnc-1.0-0
libnetcf1 libvirt0 python-gtk-vnc python-libvirt python-urlgrabber virtinst
0 upgraded, 0 newly installed, 11 to remove and 25 not upgraded.
After this operation, 9,200 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 166773 files and directories currently installed.)
Removing libnetcf1 (1:0.2.3-4ubuntu1) ...
Removing libaugeas0 (1.2.0-0ubuntu1) ...
Removing augeas-lenses (1.2.0-0ubuntu1) ...
Removing cgroup-lite (1.9) ...
cgroup-lite stop/waiting
Removing python-gtk-vnc (0.5.3-0ubuntu2) ...
Removing libgtk-vnc-1.0-0 (0.5.3-0ubuntu2) ...
Removing libgvnc-1.0-0 (0.5.3-0ubuntu2) ...
Removing virtinst (0.600.4-3ubuntu2) ...
Removing python-libvirt (1.2.2-0ubuntu1) ...
Removing libvirt0 (1.2.2-0ubuntu13.1) ...
Removing python-urlgrabber (3.9.1-4ubuntu3) ...
Processing triggers for libc-bin (2.19-0ubuntu6) ...
Processing triggers for man-db (2.6.7.1-1) ...
Share:

Copyright © playbook | Powered by Blogger

Design by Anders Norén | Blogger Theme by NewBloggerThemes.com